/* Include .dropdown.show to override the vue-bootstrap CSS included in GitLab CSS */
.gl-new-dropdown,
.gl-new-dropdown.dropdown.show {
  .dropdown-menu {
    @include gl-bg-white;
    @include gl-border-1;
    @include gl-border-gray-200;
    @include gl-dropdown-max-height;
    @include gl-dropdown-width;
    @include gl-mt-2;
    @include gl-p-0;
    @include gl-py-3;
    @include gl-rounded-base;
    @include gl-shadow-x0-y2-b4-s0;
  }

  .dropdown-menu li {
    @include gl-p-0;
  }

  .dropdown-toggle::after {
    // Remove bootstrap's dropdown caret
    @include gl-display-none;
  }

  .dropdown-toggle-split::after {
    @include gl-border-0;
    @include gl-content-empty;
    @include gl-display-block;
    @include gl-w-5;
    @include gl-h-5;
    @include gl-bg-chevron-down;
  }

  .btn {
    @extend %new-gl-button;
  }

  // The `&.dropdown` is necessary to strengthen the specifity of these selectors
  &.dropdown %new-gl-button {
    @include gl-pr-3;

    &.btn-sm .gl-icon {
      @include gl-mt-0;
      @include gl-mb-0;

      &.dropdown-chevron {
        @include gl-h-5;
        @include gl-w-5;
      }
    }

    .dropdown-chevron {
      @include gl-ml-2;
      @include gl-mr-0;
    }
  }

  .dropdown-icon-text,
  .dropdown-icon-only {
    @include gl-pl-3;
  }

  .dropdown-icon-only {
    .dropdown-icon {
      @include gl-mr-0;
    }
  }

  .dropdown-toggle-split {
    @include gl-px-3;
  }
  .split-content-button {
    @include gl-px-4;
  }
  .icon-split-content-button {
    @include gl-pl-3;
    .dropdown-icon {
      @include gl-mr-0;
    }
  }
}
